/**
  * Mozilla Web Engine Abstraction Layer.
  * @file gmozillahistorylist.h: Mozilla History List Interface Declaration
  * @version $Rev: 2101 $
  * @date $LastChangedDate: 2005-11-02 09:35:49 -0400 (Wed, 02 Nov 2005) $
  *
  * Copyright (C) 2005 Nokia Corporation.
  *
  * Contact: Leonid Zolotarev <leonid.zolotarev@nokia.com>
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public License
  * as published by the Free Software Foundation; either version 2.1 of
  * the License, or (at your option) any later version.
  *
  * This library is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  * 02110-1301 USA
  *
  */

#include <gwebhistorylist.h>

#ifndef __GMOZILLAHISTORYLIST_H__
#define __GMOZILLAHISTORYLIST_H__

G_BEGIN_DECLS

#include "gmozillaglobalhistory.h"

/* GMozillaHistoryList */
#define G_TYPE_MOZILLA_HISTORY_LIST             (g_mozilla_history_list_get_type ())
#define G_MOZILLA_HISTORY_LIST(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_TYPE_MOZILLA_HISTORY_LIST, GMozillaHistoryList))
#define G_MOZILLA_HISTORY_LIST_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), G_TYPE_MOZILLA_HISTORY_LIST, GMozillaHistoryListClass))
#define G_IS_MOZILLA_HISTORY_LIST(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_TYPE_MOZILLA_HISTORY_LIST))
#define G_IS_MOZILLA_HISTORY_LIST_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), G_TYPE_MOZILLA_HISTORY_LIST))
#define G_MOZILLA_HISTORY_LIST_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_INTERFACE ((inst), G_TYPE_MOZILLA_HISTORY_LIST, GMozillaHistoryListClass))

typedef struct _GMozillaHistoryList GMozillaHistoryList;
typedef struct _GMozillaHistoryListClass GMozillaHistoryListClass;

struct _GMozillaHistoryList {
    GObject parent;

    GObject *items;
    gint num_items;
};

struct _GMozillaHistoryListClass {
    GObjectClass parent;
};

GType g_mozilla_history_list_get_type (void);

GObject* g_mozilla_history_list_new (void);

G_END_DECLS

#endif /* __GMOZILLAHISTORYLIST_H__ */
