#ifndef gmozillasupport_h
#define gmozillasupport_h

#include "gtkmozilla.h"

#define PREFERENCE_MAX_LENGTH_OF_URL 4096
#define PREFERENCE_DEFAULT_MEM_CACHE 256
#define PREFERENCE_DEFAULT_DISK_CACHE 0
#define PREFERENCE_DEFAULT_COOKIE_BEHAVIOR 0
#define PREFERENCE_DEFAULT_ACCEPT_REDIRECTION 1
#define PREFERENCE_DEFAULT_LOAD_IMAGE_CONTROL 0

#define PREFERENCE_LANG_FONT_NUM 15
#define PREFERENCE_DEFAULT_FONT_SIZE 10
#define PREFERENCE_DEFAULT_MIN_FONT_SIZE 5
#define PREFERENCE_DEFAULT_SERIF_FONT     "-adobe-times-medium-r-normal-*-14-*-*-*-p-*-iso8859-1"
#define PREFERENCE_DEFAULT_SANSSERIF_FONT "-adobe-times-medium-r-normal-*-14-*-*-*-p-*-iso8859-1"
#define PREFERENCE_DEFAULT_CURSIVE_FONT   "-adobe-times-medium-r-normal-*-14-*-*-*-p-*-iso8859-1"
#define PREFERENCE_DEFAULT_FANTASY_FONT   "-adobe-times-medium-r-normal-*-14-*-*-*-p-*-iso8859-1"
#define PREFERENCE_DEFAULT_MONOSPACE_FONT "-adobe-times-medium-r-normal-*-14-*-*-*-p-*-iso8859-1"

// configuration data struct
typedef struct _ConfigData
{
    gchar *home;
    gboolean use_default_home;
    gchar *mailer;
    gint xsize;
    gint ysize;
    gint layout;
    gint maxpopupitems;
    gint max_go;

    // manaos prefs
    gchar *http_proxy;
    gchar *http_proxy_port;
    gchar *ftp_proxy;
    gchar *ftp_proxy_port;
    gchar *ssl_proxy;
    gchar *ssl_proxy_port;
    gint font_size[PREFERENCE_LANG_FONT_NUM];
    gint min_font_size[PREFERENCE_LANG_FONT_NUM];
    gint current_font_size;
    gboolean java;
    gboolean javascript;
    gboolean underline_links;
    gchar *no_proxy_for;
    gint network_proxy_type;
    gint popup_in_new_window;

    // enable/disable popups
    gint blockPopups;

    // cache control
    gint diskCache;
    gint memCache;

    // cookies control
    gint cookie_behavior;

    // redirection control
    gint accept_redirection;

    // allow/lock images
    gint loadImages;

    gint mark_focused;
    gint tab_text_length;
    gboolean frames_enabled;
    gchar *web_suffix;
    gboolean enable_ssl2;

}
ConfigData;

static const char *lang_font_item [PREFERENCE_LANG_FONT_NUM] =
{
    "x-western",
    "x-central-euro",
    "ja",
    "zh-TW",
    "zh-CN",
    "ko",
    "x-cyrillic",
    "x-baltic",
    "el",
    "tr",
    "x-unicode",
    "x-user-def",
    "th",
    "he",
    "ar"
};

void create_config_directory (void);
void open_and_load_config_file (void) ;
void write_config ();
void set_prefs(void);
gboolean save_prefs (void);

#endif /* gmozillasupport_h */
