/**
  * Mozilla Web Engine Abstraction Layer.
  * @file gmozillatransferitemlist.h: Mozilla Transfer Item List Interface Declaration
  * @version $Rev: 2101 $
  * @date $LastChangedDate: 2005-11-02 15:35:49 +0200 (Wed, 02 Nov 2005) $
  *
  * Copyright (C) 2005 Nokia Corporation.
  *
  * Contact: Leonid Zolotarev <leonid.zolotarev@nokia.com>
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public License
  * as published by the Free Software Foundation; either version 2.1 of
  * the License, or (at your option) any later version.
  *
  * This library is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  * 02110-1301 USA
  *
  */

#include <gwebtransferitemlist.h>

#ifndef __GMOZILLATRANSFERITEMLIST_H__
#define __GMOZILLATRANSFERITEMLIST_H__

G_BEGIN_DECLS

/* GMozillaTransferItemList */

#define G_TYPE_MOZILLA_TRANSFER_ITEM_LIST             (g_mozilla_transfer_item_list_get_type ())
#define G_MOZILLA_TRANSFER_ITEM_LIST(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_TYPE_MOZILLA_TRANSFER_ITEM_LIST, GMozillaTransferItemList))
#define G_MOZILLA_TRANSFER_ITEM_LIST_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), G_TYPE_MOZILLA_TRANSFER_ITEM_LIST, GMozillaTransferItemListClass))
#define G_IS_MOZILLA_TRANSFER_ITEM_LIST(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_TYPE_MOZILLA_TRANSFER_ITEM_LIST))
#define G_IS_MOZILLA_TRANSFER_ITEM_LIST_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), G_TYPE_MOZILLA_TRANSFER_ITEM_LIST))
#define G_MOZILLA_TRANSFER_ITEM_LIST_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_INTERFACE ((inst), G_TYPE_MOZILLA_TRANSFER_ITEM_LIST, GMozillaTransferItemListClass))

typedef struct _GMozillaTransferItemList GMozillaTransferItemList;
typedef struct _GMozillaTransferItemListClass GMozillaTransferItemListClass;

struct _GMozillaTransferItemList
{
    GObject parent;

    GObject **items;
    gint num_items;
};

struct _GMozillaTransferItemListClass
{
    GObjectClass parent;
};

GType g_mozilla_transfer_item_list_get_type (void);

GObject* g_mozilla_transfer_item_list_new (void);

G_END_DECLS

#endif /* __GMOZILLATRANSFERITEMLIST_H__ */
