/**
  * Mozilla Web Engine Abstraction Layer.
  * @file gmozillaweb.h: Mozilla Web Objects Interface Declarations
  * @version $Rev: 2101 $
  * @date $LastChangedDate: 2005-11-02 15:35:49 +0200 (Wed, 02 Nov 2005) $
  *
  * Copyright (C) 2005 Nokia Corporation.
  *
  * Contact: Leonid Zolotarev <leonid.zolotarev@nokia.com>
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public License
  * as published by the Free Software Foundation; either version 2.1 of
  * the License, or (at your option) any later version.
  *
  * This library is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  * 02110-1301 USA
  *
  */

#include <gweb.h>

#ifndef __GMOZILLAWEB_H__
#define __GMOZILLAWEB_H__

G_BEGIN_DECLS

/* GMozillaWeb */

#define G_TYPE_MOZILLA_WEB             (g_mozilla_web_get_type ())
#define G_MOZILLA_WEB(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_TYPE_MOZILLA_WEB, GMozillaWeb))
#define G_MOZILLA_WEB_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), G_TYPE_MOZILLA_WEB, GMozillaWebClass))
#define G_IS_MOZILLA_WEB(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_TYPE_MOZILLA_WEB))
#define G_IS_MOZILLA_WEB_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), G_TYPE_MOZILLA_WEB))
#define G_MOZILLA_WEB_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_INTERFACE ((inst), G_TYPE_MOZILLA_WEB, GMozillaWebClass))

typedef struct _GMozillaWeb GMozillaWeb;
typedef struct _GMozillaWebClass GMozillaWebClass;

struct _GMozillaWeb
{
    GObject parent;

    GObject *global;
};

struct _GMozillaWebClass
{
    GObjectClass parent;
};

GType g_mozilla_web_get_type (void);

G_END_DECLS

#endif /* __GMOZILLAWEB_H__ */
